Eclipse Platform Release 3.7

## org.eclipse.update.operations
Interface IOperationValidator

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IOperationValidator

This class contains various validation methods to be invoked before or during executing update manager operations.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`IStatus` `validateCurrentState()` Deprecated. Check the current state.
`IStatus` `validatePendingChanges(IInstallFeatureOperation[] jobs)` Deprecated. Called by the UI before doing a batched processing of several pending changes.
`IStatus` `validatePendingConfig(IFeature feature)` Deprecated. Called before performing operation.
`IStatus` `validatePendingInstall(IFeature oldFeature, IFeature newFeature)` Deprecated. Called before performing install.
`IStatus` `validatePendingReplaceVersion(IFeature feature, IFeature anotherFeature)` Deprecated. Called before performing operation.
`IStatus` `validatePendingRevert(IInstallConfiguration config)` Deprecated. Called before doing a revert/ restore operation
`IStatus` `validatePendingUnconfig(IFeature feature)` Deprecated. Called before performing operation.
`IStatus` `validatePlatformConfigValid()` Deprecated. Checks if the platform configuration has been modified outside this program.

Method Detail

### validatePendingInstall

    IStatus validatePendingInstall(IFeature oldFeature,
                                   IFeature newFeature)

  Deprecated.
  Called before performing install.

  Returns:
    the error status, or null if no errors

### validatePendingConfig

    IStatus validatePendingConfig(IFeature feature)

  Deprecated.
  Called before performing operation.

  Returns:
    the error status, or null if no errors

### validatePendingUnconfig

    IStatus validatePendingUnconfig(IFeature feature)

  Deprecated.
  Called before performing operation.

  Returns:
    the error status, or null if no errors

### validatePendingReplaceVersion

    IStatus validatePendingReplaceVersion(IFeature feature,
                                          IFeature anotherFeature)

  Deprecated.
  Called before performing operation.

  Returns:
    the error status, or null if no errors

### validatePendingRevert

    IStatus validatePendingRevert(IInstallConfiguration config)

  Deprecated.
  Called before doing a revert/ restore operation

  Returns:
    the error status, or null if no errors

### validatePendingChanges

    IStatus validatePendingChanges(IInstallFeatureOperation[] jobs)

  Deprecated.
  Called by the UI before doing a batched processing of several pending changes.

  Returns:
    the error status, or null if no errors

### validateCurrentState

    IStatus validateCurrentState()

  Deprecated.
  Check the current state.

  Returns:
    the error status, or null if no errors

### validatePlatformConfigValid

    IStatus validatePlatformConfigValid()

  Deprecated.
  Checks if the platform configuration has been modified outside this program.

  Returns:
    the error status, or null if no errors

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.